import greenfoot.*;  
  
public class Beam extends Mover  
{  
    public Beam(boolean facingLeft)  
    {  
        if (facingLeft) turn(180);  
    }  
      
    public void act()   
    {  
            move(10);  
            moveYoAss();
            checkDestroy();
    }  
 

    private boolean hit()
    {
        Actor uman = getOneIntersectingObject(Enemy1.class);
        if (uman == null) 
        {
            return false;
        }
        else { 
            return true;
        }
    }
    
     private void checkDestroy()
    {
       if(hit())
       {
         getWorld().removeObjects(getObjectsInRange(50, Enemy1.class));
         getWorld().removeObject(this);
         
       }
    
   }
   
    public void moveYoAss()
    { 
        if(Greenfoot.isKeyDown("right"))
        {
            setLocation(getX()-7,getY());
        }
        
        if(Greenfoot.isKeyDown("left"))
        {
            setLocation(getX()+7,getY());
        }
    }
}
